/* File Filter */
.file_filter .item {
    position: relative;
}

/* File List */
.file_list .rf-text_block {
    justify-content: space-between;
}

.file_list .rf-title_block .file-field {
    width: 85%;
    text-align: center;
}
.file_list .rf-text_block .file-field {
    min-width: 85%;
    max-width: 85%;
}

.file_list .link-field {
    margin-left: 5%;
    width: 10%;
    text-align: right;
}
.file_list .rf-text_block .link-field {
    display: flex;
    flex-direction: row-reverse;
    width: 3rem;  /* file icon's width */
}

/* Mobile Style */
@media only screen and (max-width: 768px) {

    /* File Filter */
    .file_filter {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 0.625rem;
        width: 90%;
        margin: 0 auto;
        padding: 0.78rem 0.91rem;
        border: 1px solid #484848;
        box-sizing: border-box;
        color: black;
    }

}

/* Desktop Style */
@media screen and (min-width: 769px) {

    /* File Filter */
    .file_filter {
        position: relative;
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-gap: 0.625rem;
        width: 100%;
        margin-top: 1.53rem;
        padding: 0.78rem 0.91rem;
        border: 1px solid white;
        box-sizing: border-box;
        background: inherit;
        overflow: hidden;
    }
    .file_filter::before {
        content: "";
        position: absolute;
        top: -25%;
        left: -25%;
        display: block;
        width: 150%;
        height: 150%;
        box-shadow: inset 0 0 12rem 2.4rem rgba(242, 242, 242, 0.6);
        filter: blur(0.47rem);
        background: inherit;
    }

}
